Retorna lista paginada de comentários de uma entidade
curl --request GET \
--url https://backend-pied-prod.piedadmin.com.br/api/v2/comments/{pageNumber}/{pageLimit} \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend-pied-prod.piedadmin.com.br/api/v2/comments/{pageNumber}/{pageLimit}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend-pied-prod.piedadmin.com.br/api/v2/comments/{pageNumber}/{pageLimit}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend-pied-prod.piedadmin.com.br/api/v2/comments/{pageNumber}/{pageLimit}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend-pied-prod.piedadmin.com.br/api/v2/comments/{pageNumber}/{pageLimit}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend-pied-prod.piedadmin.com.br/api/v2/comments/{pageNumber}/{pageLimit}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend-pied-prod.piedadmin.com.br/api/v2/comments/{pageNumber}/{pageLimit}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"id": "507f1f77bcf86cd799439016",
"parentId": "507f1f77bcf86cd799439014",
"parentType": "request",
"createdAt": "2026-08-31T10:00:00.000Z",
"message": "Cliente pediu retorno até sexta-feira.",
"fixed": false,
"edited": false,
"user": {
"id": "507f1f77bcf86cd799439011",
"fullName": "João Silva"
},
"replies": [
{
"id": "507f1f77bcf86cd799439015",
"commentId": "507f1f77bcf86cd799439016",
"createdAt": "2026-08-31T12:00:00.000Z",
"message": "Cliente confirmou recebimento.",
"edited": false,
"user": {
"id": "507f1f77bcf86cd799439011",
"fullName": "João Silva"
}
}
]
}
],
"metadata": {
"totalItems": 100,
"itemsPerPage": 25,
"totalPages": 4,
"currentPage": 1,
"links": {
"first": "/api/v2/task-plans/1/25",
"last": "/api/v2/task-plans/4/25",
"next": "/api/v2/task-plans/2/25",
"previous": null
}
}
}Comentários
Retorna lista paginada de comentários de uma entidade
GET
/
comments
/
{pageNumber}
/
{pageLimit}
Retorna lista paginada de comentários de uma entidade
curl --request GET \
--url https://backend-pied-prod.piedadmin.com.br/api/v2/comments/{pageNumber}/{pageLimit} \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend-pied-prod.piedadmin.com.br/api/v2/comments/{pageNumber}/{pageLimit}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend-pied-prod.piedadmin.com.br/api/v2/comments/{pageNumber}/{pageLimit}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend-pied-prod.piedadmin.com.br/api/v2/comments/{pageNumber}/{pageLimit}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend-pied-prod.piedadmin.com.br/api/v2/comments/{pageNumber}/{pageLimit}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend-pied-prod.piedadmin.com.br/api/v2/comments/{pageNumber}/{pageLimit}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend-pied-prod.piedadmin.com.br/api/v2/comments/{pageNumber}/{pageLimit}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"id": "507f1f77bcf86cd799439016",
"parentId": "507f1f77bcf86cd799439014",
"parentType": "request",
"createdAt": "2026-08-31T10:00:00.000Z",
"message": "Cliente pediu retorno até sexta-feira.",
"fixed": false,
"edited": false,
"user": {
"id": "507f1f77bcf86cd799439011",
"fullName": "João Silva"
},
"replies": [
{
"id": "507f1f77bcf86cd799439015",
"commentId": "507f1f77bcf86cd799439016",
"createdAt": "2026-08-31T12:00:00.000Z",
"message": "Cliente confirmou recebimento.",
"edited": false,
"user": {
"id": "507f1f77bcf86cd799439011",
"fullName": "João Silva"
}
}
]
}
],
"metadata": {
"totalItems": 100,
"itemsPerPage": 25,
"totalPages": 4,
"currentPage": 1,
"links": {
"first": "/api/v2/task-plans/1/25",
"last": "/api/v2/task-plans/4/25",
"next": "/api/v2/task-plans/2/25",
"previous": null
}
}
}🚀 API v2 (Recomendada) - Este endpoint está disponível apenas na v2
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Determina o número da página a ser retornada.
Limita a quantidade de registros retornados por página.
Query Parameters
ID da entidade pai do comentário.
Tipo da entidade pai.
Available options:
request, company, call, rehearse ID alternativo do parent (ex.: orçamento anterior vinculado ao pedido).